> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Email the company admins

> Send an email to the admins of your company. Recipients can only be admins of your own company: either the ones named in adminIds, or all of them when adminIds is omitted. There is no way to email any other address.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /admins/email
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /admins/email:
    post:
      tags:
        - Admins
      summary: Email the company admins
      description: >-
        Send an email to the admins of your company. Recipients can only be
        admins of your own company: either the ones named in adminIds, or all of
        them when adminIds is omitted. There is no way to email any other
        address.
      operationId: sendEmailToAdmins
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendEmailToAdminsBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendEmailToAdmins_Output'
components:
  schemas:
    SendEmailToAdminsBody:
      type: object
      properties:
        subject:
          description: Subject line of the email
          type: string
          minLength: 1
          maxLength: 200
        body:
          description: >-
            Body of the email, text or HTML (never markdown). It is sanitized
            and inserted into the Primo email template, which already provides
            the header and footer.
          type: string
          minLength: 1
          maxLength: 100000
        adminIds:
          description: >-
            Admins to email, as returned by getAdmins (an employee `id` or an
            external `userId`). Omit to email every admin.
          minItems: 1
          type: array
          items:
            type: string
            minLength: 1
      required:
        - subject
        - body
    SendEmailToAdmins_Output:
      type: object
      properties:
        recipientCount:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - recipientCount
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.